%define upstream_name    ogd
%define upstream_version 0.03

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Ordered global destruction of objects stored in globals
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://search.cpan.org/CPAN/authors/id/E/EL/ELIZABETH/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(B)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Scalar::Util)
BuildArch:  noarch

%description
This module adds ordered destruction of objects stored in global variables in
LIFO order during global destruction.

Ordered global destruction is only applicable to objects stored in non-lexical
variables (even if they are in file scope). Apparently Perl destroys all
objects stored file-level lexicals before the first END block is called.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%make test

%install
%makeinstall_std

%files 
%doc CHANGELOG META.json META.yml MYMETA.yml README TODO VERSION
%{perl_vendorlib}/ogd.pm
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 0.30.0-2.mga3
+ Revision: 375533
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 jquelin <jquelin> 0.30.0-1.mga3
+ Revision: 298771
- update to 0.03

* Sat Jun 11 2011 spuhler <spuhler> 0.02-7.mga2
+ Revision: 103967
- increase rel for rebuild

* Sat Jan 22 2011 jquelin <jquelin> 0.02-6.mga1
+ Revision: 32789
- mageia rebuild
- imported package perl-ogd

